package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlTransfer;
import com.dhcc.finance.main.domain.CwGlTransferExample;
import com.dhcc.finance.main.model.CwGlTransferAndSubjectName;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwGlTransferMapper {

	long countByExample(CwGlTransferExample example);

	int deleteByExample(CwGlTransferExample example);

	int deleteByPrimaryKey(String pkTransfer);

	int insert(CwGlTransfer record);

	int insertSelective(CwGlTransfer record);

	List<CwGlTransfer> selectByExample(CwGlTransferExample example);

	CwGlTransfer selectByPrimaryKey(String pkTransfer);

	int updateByExampleSelective(@Param("record") CwGlTransfer record, @Param("example") CwGlTransferExample example);

	int updateByExample(@Param("record") CwGlTransfer record, @Param("example") CwGlTransferExample example);

	int updateByPrimaryKeySelective(CwGlTransfer record);

	int updateByPrimaryKey(CwGlTransfer record);

	List<CwGlTransfer> selectAll();

 	int updateOfDelte(String pkTransfer);
 	/**
 	 * 根据转账方案名称模糊查询
 	 * @param nameLike
 	 * @return List<CwGlTransfer>
 	 *@author huangpeng
 	 *@date 2019年3月27日 下午2:02:30
 	 *@修改日志：
 	 */
 	List<CwGlTransfer> selectByNameLike(@Param("nameLike") String nameLike);

	/**
	 * @param nameLike
	 * @return List<CwGlTransferAndSubjectName>
	 *@author huangpeng
	 *@date 2019年3月29日 下午3:35:54
	 *@修改日志：
	 */
	List<CwGlTransferAndSubjectName> selectByName(@Param("nameLike") String nameLike);
	
	/**
	 * 功能描述：查询某版本下正启用的转账方案
	 * @param pkSubjscheme
	 * @return CwGlTransfer
	 * @author dml
	 * @date 2019年6月4日 下午4:01:49
	 * @修改日志：
	 */
	CwGlTransfer selectBypkSubjscheme(@Param("pkSubjscheme") String pkSubjscheme);
	/**
	 * 功能描述 查询正在启用的结转方案
	 * @return CwGlTransfer
	 * @author huangpeng
	 * @date 2019年7月11日 上午11:22:38
	 * 修改日志
	 */
	List<CwGlTransfer> selectAllForEnablestate();
}